Bug 121956 - rpm-python version incompatibility
rpm-python version incompatibility
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 06:47 EDT by David Fraser
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 11:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Fraser 2004-04-29 06:47:04 EDT
Description of problem:
Trying to "import rpm" from python gives error:
ImportError: librpm-4.2.so: cannot open shared object file: No such
file or directory

Version-Release number of selected component (if applicable):
rpm-4.3.1-0.3
python-2.3.3-3
rpm-python-4.3.1-0.3

How reproducible:
Consistently

Steps to Reproduce:
1. run python at command prompt
2. type "import rpm"
3.
  
Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: librpm-4.2.so: cannot open shared object file: No such
file or directory


Expected results:
import without error

Additional info:
librpm-4.3.so exists and belongs to the rpm package. librpm-4.2.so
does not exist
this also prevents anaconda from running
Comment 1 Jeff Johnson 2004-05-04 11:26:09 EDT
$ python
Python 2.3.3 (#1, Mar 16 2004, 16:37:35)
[GCC 3.3.3 20040311 (Red Hat Linux 3.3.3-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import rpm
>>>

Look at your search path, verify that you don't have
another rpmmodule on that path that is linked against librpm-4.2.

Resinstalling rpm-python probably fixes.
Comment 2 David Fraser 2004-05-04 12:00:54 EDT
Alas! You were right, sorry for the spam...

Note You need to log in before you can comment on or make changes to this bug.